Subject: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Dani Moncayo <[email-masked]>
Date: Tue, 21 May 2013 09:01:01 +0200

I've got another hung session, with a newer version of Emacs:

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-05-17 on LEG570
Bzr revision: 112622 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.2.3790
Configured using:
 `configure --prefix=/c/usr --enable-checking CFLAGS='-O0 -g3'
 CPPFLAGS='-DGLYPH_DEBUG=1 -I/c/usr/include''

But the call stacks I've got with Process Explorer are different (and
strange), because I see no frames inside Emacs, in any of the threads:

* ID: 584
* State: Wait:UserRequest
* Stack:
    ntoskrnl.exe+0x20908
    ntoskrnl.exe+0x1fb2e
    ntoskrnl.exe+0x10e63e
    ntoskrnl.exe+0x234cb
    ntdll.dll+0x285ec
    ntdll.dll+0x3d281
    ntdll.dll+0x2f20c
    ntdll.dll+0x2f336
    ntdll.dll+0x2f2a3

* ID: 3216
* State: Wait:UserRequest
* Stack:
    ntoskrnl.exe+0x20908
    ntoskrnl.exe+0x1fb2e
    ntoskrnl.exe+0x10e63e
    ntoskrnl.exe+0x234cb
    ntdll.dll+0x285ec
    ntdll.dll+0x3d281
    ntdll.dll+0x2f20c
    ntdll.dll+0x2f336
    ntdll.dll+0x2f2a3
    ntdll.dll+0x28536

* ID: 3696
* State: Wait:UserRequest
* Stack:
    ntoskrnl.exe+0x20908
    ntoskrnl.exe+0x28919
    ntoskrnl.exe+0x19b78d
    ntoskrnl.exe+0x4060c
    ntoskrnl.exe+0x448db
    ntoskrnl.exe+0x1fb2e
    ntoskrnl.exe+0x10e63e
    ntoskrnl.exe+0x234cb
    ntdll.dll+0x285ec
    ntdll.dll+0x3d281
    ntdll.dll+0x2ee3b
    ntdll.dll+0x2ec9f
    ntdll.dll+0x284c5

FWIW, this is the output of `netstat -nbo':

  Conexiones activas

    Proto  Direcci¢n local          Direcci¢n remota        Estado           PID
    TCP    10.161.6.97:1054       10.161.6.3:445         ESTABLISHED     4
    [Sistema]

    TCP    10.161.6.97:2977       10.161.6.6:445         ESTABLISHED     4
    [Sistema]

    TCP    10.161.6.97:3072       10.161.6.6:22          ESTABLISHED     3908
    [putty.exe]

    TCP    10.161.6.97:3389       170.251.78.119:59440   ESTABLISHED     2576
    TermService
    [svchost.exe]

    TCP    10.161.6.97:3681       10.161.19.11:445       ESTABLISHED     4
    [Sistema]

    TCP    10.161.6.97:3686       10.161.6.2:389         ESTABLISHED     820
    Schedule
    [svchost.exe]

    TCP    127.0.0.1:1041         127.0.0.1:42510        ESTABLISHED     1316
    [InoTask.exe]

    TCP    127.0.0.1:42510        127.0.0.1:1041         ESTABLISHED     1264
    [InoRpc.exe]

    TCP    10.161.6.97:2221       10.161.6.2:389         CLOSE_WAIT      820
    AppMgmt
    [svchost.exe]

    TCP    10.161.6.97:2305       10.161.6.2:389         CLOSE_WAIT      820
    AppMgmt
    [svchost.exe]

    TCP    10.161.6.97:2467       10.161.6.2:389         CLOSE_WAIT      820
    AppMgmt
    [svchost.exe]

    TCP    10.161.6.97:2685       10.161.6.2:389         CLOSE_WAIT      820
    Schedule
    [svchost.exe]

    TCP    10.161.6.97:2756       10.161.6.2:389         CLOSE_WAIT      820
    Schedule
    [svchost.exe]

    TCP    10.161.6.97:2867       10.161.6.2:389         CLOSE_WAIT      820
    Schedule
    [svchost.exe]

    TCP    10.161.6.97:2982       10.161.6.2:389         CLOSE_WAIT      820
    Schedule
    [svchost.exe]

--
Dani Moncayo